Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Interface ComponentMonitorStrategy

All Known Implementing Classes:
  AbstractAdapter, AbstractBehavior, AbstractComponentMonitor, AbstractInjector, AbstractMonitoringLifecycleStrategy, AnnotatedFieldInjector, AnnotatedMethodInjector, Automated, Cached, CompositeInjector, ConstructorInjector, Decorated, DefaultClassLoadingPicoContainer, DefaultPicoContainer, FieldDecorated, Guarded, HiddenImplementation, InstanceAdapter, Intercepted, IterativeInjector, JavaEE5LifecycleStrategy, Locked, MethodInjector, MethodInjector.ByReflectionMethod, MultiInjector, NamedFieldInjector, PropertyApplicator, ReflectionLifecycleStrategy, SetterInjector, SingleMemberInjector, StartableLifecycleStrategy, Stored, Synchronized, ThreadCached, TieringPicoContainer, TransientPicoContainer, TypedFieldInjector

    public interface ComponentMonitorStrategy

Interface responsible for changing monitoring strategy. It may be implemented by `containers` and single `component adapters`. The choice of supporting the monitor strategy is left to the implementers of the container and adapters.

Author:
  Paul Hammant, Joerg Schaible, Mauro Talevi

Method Summary
`void` | `changeMonitor(ComponentMonitor monitor)` Changes the component monitor used
`ComponentMonitor` | `currentMonitor()` Returns the monitor currently used

Method Detail

### changeMonitor

    void changeMonitor(ComponentMonitor monitor)

  Changes the component monitor used

  Parameters:
    `monitor` - the new ComponentMonitor to use

### currentMonitor

    ComponentMonitor currentMonitor()

  Returns the monitor currently used

  Returns:
    The ComponentMonitor currently used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.